---
layout: default
title: Terraform Providers
parent: Features
nav_order: 7
---

# Terraform Backend
Sometimes you might need to define the Terraform providers explicitly. See [providers docs](https://www.terraform.io/language/providers)

As an example, below is a definition for the AWS provider

```yaml
apiVersion: run.terraform-operator.io/v1alpha1
kind: Terraform
...
spec:
  ...
  providersConfig: |
    terraform {
      required_providers {
        aws = {
          source  = "hashicorp/aws"
          version = "~> 3.0"
        }
      }
    }

    provider "aws" {
      region = "eu-west-1"
    }
```
